Bug 7137 - [Package Request] protobuf-c
: [Package Request] protobuf-c
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Contributed Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-19 07:50 MSD by Zombie Ryushu
Modified: 2016-12-11 14:29 MSK (History)
2 users (show)

See Also:
RPM Package: protobuf-c
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Zombie Ryushu 2016-06-19 07:50:34 MSD
This needs to be imported from Mageia 5 to compile purple-hangouts.
Comment 1 Andrey Bondrov 2016-06-19 08:18:54 MSD
It requires protobuf to be updated to 2.6.1 first. I'm not sure if I'll do it for rosa2014.1. Maybe for rosa2016.1 (we'll start to work on it in July).
Comment 2 Zombie Ryushu 2016-06-19 08:27:02 MSD
The maintainer of purple hangout says that the minimum requirements are 1.1.0. Can we compile that? This is because Google is blocking access via XMPP to Hangouts.
Comment 3 Andrey Bondrov 2016-06-19 08:37:15 MSD
(In reply to comment #2)
> The maintainer of purple hangout says that the minimum requirements are
> 1.1.0. Can we compile that? This is because Google is blocking access via
> XMPP to Hangouts.

It still needs protobuf 2.6.x.

We plan to release ROSA Desktop Fresh R8 in ~3 weeks, it will be the final ISOs release based on rosa2014.1 platform. So I'd rather prefer to avoid updating libraries that may affect ISOs.

Maybe I'll update protobuf for rosa2014.1 after R8 release.
Comment 4 Zombie Ryushu 2016-06-19 08:40:49 MSD
 oh, its that the minimum needed version of protobuf-c is 1.1.0 (actually its 1.0.2, looking into it some more), not protobuf - there's two different libraries
Comment 5 Andrey Bondrov 2016-06-19 08:47:22 MSD
Yes, but protobuf-c 1.1.x needs protobuf 2.6.x to compile. So without protobuf update we cannot build protobuf-c 1.1+.
Comment 6 Zombie Ryushu 2016-06-19 08:53:42 MSD
OpenMandriva has the package.
Comment 7 Zombie Ryushu 2016-06-19 08:54:32 MSD
(In reply to comment #6)
> OpenMandriva has the package.

It seenms this also links to clementine.
Comment 8 Andrey Bondrov 2016-06-19 09:26:21 MSD
(In reply to comment #7)
> It seenms this also links to clementine.

Yes, that's why I don't want to update it until R8 release.
Comment 9 Andrey Bondrov 2016-06-19 09:28:12 MSD
protobuf update requires all packages that use it to be rebuilt because of ABI and soname changes: http://abi-laboratory.pro/tracker/timeline/protobuf/
Comment 10 Zombie Ryushu 2016-06-20 09:17:43 MSD
please pull the version of protobuf-c 0.15 from Mageia 4, I have built it. EionRobb is  going to alter his code to get it to work with older protobuf. I'm going to try and push my successful SRPM.
Comment 11 Zombie Ryushu 2016-06-20 09:34:05 MSD
(In reply to comment #10)
> please pull the version of protobuf-c 0.15 from Mageia 4, I have built it.
> EionRobb is  going to alter his code to get it to work with older protobuf.
> I'm going to try and push my successful SRPM.

its in my personal repo.
Comment 12 Andrey Bondrov 2016-06-20 09:46:02 MSD
(In reply to comment #10)
> please pull the version of protobuf-c 0.15 from Mageia 4, I have built it.
> EionRobb is  going to alter his code to get it to work with older protobuf.
> I'm going to try and push my successful SRPM.

I pushed protobuf-c 1.0.1 to 2014.1 Main/Updates. It's the latest version of protobuf-c that we can build with protobuf 2.4.x.
Comment 13 Denis Silakov 2016-12-11 14:29:29 MSK
It looks like we are happy with this one and have purple-hangouts in repos.

Newer protobuf and protofuf-c are already available in rosa2016.1.